# This file is part of librefdatool. librefdatool is free software: you can
# redistribute it and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation, version 2.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 51
# Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Copyright (C) 2013 Javier D. Garcia-Lasheras
#


# LibreFDATool Libraries
from core import * 
from analysis import * 
from control import * 


class device(
        control,
        core,
        Analysis):
    '''This class instantiate a librefdatool filter device object.
    A device represents an HDL model that can be widely parametrized
    and used in python signal processing analysis and simulation.
    The device class act as a main wrapper that includes function subclasses
    TBD: only FIR filter is supported. General LTI system is in development.
    '''
    pass






